using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeLandMines : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(100 * Mathf.Pow(2, (gm.landMineEffectiveness)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.landMineEffectiveness += 0.1f;
	}

	override protected string UpgradeName() {
		return "Land Mine damage and area to "+ (gm.landMineEffectiveness*100f).ToString("f0") +"%.";
	}

}
